Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.ConfigurationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataDomainLoadException

    public class ConfigurationException

extends CayenneRuntimeException

A runtime exception thrown on failures in Cayenne configuration.

See Also:
  Serialized Form

Constructor Summary
`ConfigurationException()` Creates new `ConfigurationException` without detail message.
`ConfigurationException(String messageFormat, Object... messageArgs)` Constructs an exception with the specified message with an optional list of message formatting arguments.
`ConfigurationException(String messageFormat, Throwable cause, Object... messageArgs)`
`ConfigurationException(Throwable cause)` Constructs an exception wrapping another exception thrown elsewhere.

Method Summary

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException()

  Creates new `ConfigurationException` without detail message.

### ConfigurationException

    public ConfigurationException(String messageFormat,
                                  Object... messageArgs)

  Constructs an exception with the specified message with an optional list of message formatting arguments. Message formatting rules follow "String.format(..)" conventions.

### ConfigurationException

    public ConfigurationException(Throwable cause)

  Constructs an exception wrapping another exception thrown elsewhere.

### ConfigurationException

    public ConfigurationException(String messageFormat,
                                  Throwable cause,
                                  Object... messageArgs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.